Forum > Other

ArcaOS 5.1: is it supported?

<< < (2/2)

AlexTP:
Maybe I can compile OS2 program for Qt4, but what to do with libqt4Pas? I cannot compile it for OS2 and even for Linux. I need ready libQt4Pas for OS2. It seems it's not ready?

valdir.marcos:

--- Quote from: AlexTP on September 07, 2023, 03:47:34 pm ---ArcaOS is not Linux flavor, it is based on OS2 kernel which is updated to the modern times.
--- End quote ---
Do you know whether ArcaOS supports Microsft Windows 7 or 10 or 11 (Vista, 8 and 8.1 were bad idea anyway) executables/binaries or GUI programs/applications just like the old days of IBM OS/2?

This is part of the main objectives of some open source projects such as Wine and ReactOS.

AlexTP:
@valdir.marcos
I don't know it. I even don't know the version of Qt on ArcaOS.

PascalDragon:

--- Quote from: AlexTP on September 07, 2023, 05:31:37 pm ---Maybe I can compile OS2 program for Qt4, but what to do with libqt4Pas? I cannot compile it for OS2 and even for Linux. I need ready libQt4Pas for OS2. It seems it's not ready?

--- End quote ---

If they have a Qt4 port then they should also have a port of qmake. You'll need to compile libqt4pas with that (I think Qt4 in general still supports OS/2, so you might be able to cross compile). And then you'd have to try whether the LCL is fit enough as you might need to add a few more defines and ifdefs.

AlexTP:
I think I will sit here and wait for someone to prepare libQt4Pas and check its work. Sorry.

Navigation

[0] Message Index

[*] Previous page

Go to full version